Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_DLL_Strategy Class Template Reference

Defines the interface for specifying a creation strategy for a SVC_HANDLER based on dynamic linking of the SVC_HANDLER. More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_DLL_Strategy:

[legend]
Collaboration diagram for ACE_DLL_Strategy:

[legend]
List of all members.

## Public Methods
| ACE_DLL_Strategy (void)
| "Do-nothing" constructor. More...
| ACE_DLL_Strategy (const char dll_name[], const char factory_function[], const char svc_name[], ACE_Service_Repository *, ACE_Thread_Manager *=0)
| Initialize the DLL strategy based upon the service's DLL information contained in the <svc_dll_info> string. More...
int | open (const char dll_name[], const char factory_function[], const char svc_name[], ACE_Service_Repository *, ACE_Thread_Manager *=0)
| Initialize the DLL strategy based upon the service's DLL information contained in the <svc_dll_info> string. More...
virtual int | make_svc_handler (SVC_HANDLER *&)
| Create a SVC_HANDLER by dynamically linking it from a DLL. Returns -1 on failure, else 0. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Protected Types
typedef ACE_Creation_Strategy< SVC_HANDLER > | inherited
## Protected Attributes
char | dll_name_ [MAXPATHLEN+1]
| Name of the DLL to dynamically link. More...
char | factory_function_ [MAXPATHLEN+1]
| Name of the factory function in the shared library to use to obtain a pointer to the new SVC_HANDLER. More...
char | svc_name_ [MAXNAMELEN+1]
| Name of the service. More...
ACE_Service_Repository * | svc_rep_
| Pointer to the <Service_Repository>. More...

## Detailed Description

### template<class SVC_HANDLER>
class ACE_DLL_Strategy< SVC_HANDLER >

Defines the interface for specifying a creation strategy for a SVC_HANDLER based on dynamic linking of the SVC_HANDLER.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_Creation_Strategy<SVC_HANDLER> ACE_DLL_Strategy::inherited`[protected]`

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ASYS_INLINE ACE_DLL_Strategy< SVC_HANDLER >::ACE_DLL_Strategy | ( | void |  | ) |

| "Do-nothing" constructor.

template<class SVC_HANDLER>
ASYS_INLINE ACE_DLL_Strategy< SVC_HANDLER >::ACE_DLL_Strategy | ( | const char | dll_name[],
|  | const char | factory_function[],
|  | const char | svc_name[],
|  | ACE_Service_Repository * | svc_rep,
|  | ACE_Thread_Manager * | thr_mgr = 0
| ) |

| Initialize the DLL strategy based upon the service's DLL information contained in the <svc_dll_info> string.

## Member Function Documentation

template<class SVC_HANDLER>
void ACE_DLL_Strategy< SVC_HANDLER >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Creation_Strategy.

template<class SVC_HANDLER>
int ACE_DLL_Strategy< SVC_HANDLER >::make_svc_handler | ( | SVC_HANDLER *& | sh | ) | `[virtual]`

| Create a SVC_HANDLER by dynamically linking it from a DLL. Returns -1 on failure, else 0. Reimplemented from ACE_Creation_Strategy.

template<class SVC_HANDLER>
int ACE_DLL_Strategy< SVC_HANDLER >::open | ( | const char | dll_name[],
|  | const char | factory_function[],
|  | const char | svc_name[],
|  | ACE_Service_Repository * | svc_rep,
|  | ACE_Thread_Manager * | thr_mgr = 0
| ) |

| Initialize the DLL strategy based upon the service's DLL information contained in the <svc_dll_info> string.

## Member Data Documentation

template<class SVC_HANDLER>
ACE_DLL_Strategy::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Creation_Strategy.

template<class SVC_HANDLER>
char ACE_DLL_Strategy::dll_name_[MAXPATHLEN + 1]`[protected]`

| Name of the DLL to dynamically link.

template<class SVC_HANDLER>
char ACE_DLL_Strategy::factory_function_[MAXPATHLEN + 1]`[protected]`

| Name of the factory function in the shared library to use to obtain a pointer to the new SVC_HANDLER.

template<class SVC_HANDLER>
char ACE_DLL_Strategy::svc_name_[MAXNAMELEN + 1]`[protected]`

| Name of the service.

template<class SVC_HANDLER>
ACE_Service_Repository* ACE_DLL_Strategy::svc_rep_`[protected]`

| Pointer to the <Service_Repository>.

The documentation for this class was generated from the following files:

- Strategies_T.h
- Strategies_T.cpp
- Strategies_T.i